--传送点触发 
--开封-城门 
--global.CallScript(7266) 

function m014_6()  

	--开始剧情 
	func_start(2733,2616,0,1)
	--修改旗标 
	flag.SetValue(6001,151)
	--dlc调整为与飞行石绑定
	--flag.SetValue(45000,1)
	local	i

	
	--切换地图 
	-- 飞行石
	map.ChangeNoScript(1,1084)
	
	
	
	--npc建立  	
	--夏侯澜辉
	npc.Create(1,1,2665,2678)
	npc.SetAt(1,0,-1)
	--瑕	
	npc.Create(2,2,2643,2676)
	npc.SetAt(2,0,-1)
	--暮菖兰 
	npc.Create(4,4,2620,2675)	
	npc.SetAt(4,1,-1)
	--赤岩
	npc.CreateFloat(291,11,2658,60,2640)
	npc.SetAt(11,1,0)
	
	
	
	
	
	--镜头1  
	-- 近镜 鼎 
	camera.ResetLerp(0)	
	camera.ChangeCameraStatic(2696,85,2604,2646,58,2686)	
	camera.ResetLerp(10000)	
	camera.ChangeCameraStatic(2696,85,2604,2639,58,2681)		
	--淡入 
	effect.FadeIn(1,1)
	global.Wait(1)

	ui.Dialog(78992,164,2,4,0,0)	--果然，利用这赤石召唤之后，云来石就飞落过来。
	
	--夏侯思索  
	npc.SetAnim(1,216)
	global.Wait(1)
	
	ui.Dialog(78993,522,0,1,0,0)	--明州城……在此处。
	
	--夏侯恢复 
	npc.SetAnim(1,200)
	global.Wait(0.5)
	-- 夏侯伸手  
	--npc.SetAnim(1,)
	--特效 
	-- 山河图特效  
	--震动  
	-- camera.Shake(6.5,2)
	camera.Shake(999,2)
	--拉镜头  
	camera.ResetLerp(6000)	
	camera.ChangeCameraStatic(2770,149,2508,2713,109,2580)		
	global.Wait(1)		
	
	-- 瑕笑 
	npc.SetAnim(2,211,2)
	global.Wait(1)

	-- ui.Dialog_t(78994,100,0,2,0,0,2)	--有了这个云来石，以后咱们要去哪里都方便了。
	ui.Dialog(78995,191,0,2,0,0)	--有了这个云来石，以后咱们要去哪里都方便了。
	
	--白屏
	effect.FadeOutWhite(1,0.5)	
	global.Wait(4)
	camera.Shake(0,0)	
	
	--开启飞行系统
	flag.SetValue(10702,1)
	flag.SetValue(10708,1)
	ui.Message(78996)--飞行系统开启
	
	--点亮飞行点
	flag.SetValue(16013,1)	--明州
	flag.SetValue(16004,1)	--凝翠甸
	flag.SetValue(16025,1)	--碧溪村
	flag.SetValue(16033,1)	--千峰岭
	flag.SetValue(16022,1)	--折剑
	flag.SetValue(16026,1)	--雪石路
	flag.SetValue(16021,1)	--司云崖
	flag.SetValue(16019,1)	--沙漠
	flag.SetValue(16018,1)	--楼兰
	flag.SetValue(16024,1)	--开封

	--清理npc 恢复转头 
	for	i=1,10,1
		do 
		npc.SetHeadRot(i,0,0)
		end
	
	global.Wait(0.5)
	
	for i=1,20,1
		do
		npc.Destroy(i)	
		end	

	--造假点击npc
	npc.Create(433,1,2660,2640)
	
	
if flag.GetValue(8031)==5 then
player.AddItem(353,1,0)
ui.Message(78997)	--收到了一封神秘的来信
end		
	
	func_end(2733,2616,1,1)		
	

end
